{
  "schema_version": "1.4.0",
  "id": "GHSA-w7m7-2vcc-wx3m",
  "modified": "2025-04-20T03:34:07Z",
  "published": "2022-05-14T03:57:55Z",
  "aliases": [
    "CVE-2016-10249"
  ],
  "details": "Integer overflow in the jpc_dec_tiledecode function in jpc_dec.c in JasPer before 1.900.12 allows remote attackers to have unspecified impact via a crafted image file, which triggers a heap-based buffer overflow.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2016-10249"
    },
    {
      "type": "WEB",
      "url": "https://github.com/mdadams/jasper/commit/988f8365f7d8ad8073b6786e433d34c553ecf568"
    },
    {
      "type": "WEB",
      "url": "https://access.redhat.com/errata/RHSA-2017:1208"
    },
    {
      "type": "WEB",
      "url": "https://blogs.gentoo.org/ago/2016/10/23/jasper-heap-based-buffer-overflow-in-jpc_dec_tiledecode-jpc_dec-c"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2017/dsa-3827"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/93838"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-03-15T14:59:00Z"
  }
}